/*
 * FileStatisticsException.cs
 *
 * File Statistics
 * Version: 1.0
 *
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 *
 * Authors: WishingBone, TCSDEVELOPER
 */

using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// The framework exception which provides the extension base for all exceptions.
    /// </summary>
    ///
    /// <threadsafety static="true" instance="true"/>
    public class FileStatisticsException : ApplicationException
    {
        /// <summary>
        /// Initializes a new instance of the
        /// <see cref="FileStatisticsException"/> class
        /// with a specified error message.
        /// </summary>
        ///
        /// <param name="message">
        /// The message that describes the error.
        /// </param>
        public FileStatisticsException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the
        /// <see cref="FileStatisticsException"/> class
        /// with a specified error message
        /// and a reference to the inner exception
        /// that is the cause of this exception.
        /// </summary>
        ///
        /// <param name="message">
        /// The message that describes the error.
        /// </param>
        /// <param name="cause">
        /// The exception that is the cause of the current exception.
        /// If the <paramref name="cause"/> parameter is not a null reference,
        /// the current exception is raised in a <b>catch</b> block
        /// that handles the inner exception.
        /// </param>
        public FileStatisticsException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}
