/*
 * MissingInitializationException.cs
 *
 * File Statistics
 * Version: 1.0
 *
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 *
 * Authors: WishingBone, TCSDEVELOPER
 */

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// The exception that is thrown from the <see cref="IArgumentHandler"/> interface
    /// when it doesn't receive the proper arguments yet.
    /// </summary>
    ///
    /// <remarks>
    /// Since the initialization is changed
    /// to two steps in this version, a class can be left half initialized.
    /// </remarks>
    ///
    /// <threadsafety static="true" instance="true"/>
    public class MissingInitializationException : ConfigurationException
    {
        /// <summary>
        /// Initializes a new instance of the
        /// <see cref="MissingInitializationException"/> class
        /// with a specified error message.
        /// </summary>
        ///
        /// <param name="message">
        /// The message that describes the error.
        /// </param>
        public MissingInitializationException(string message)
            : base(message)
        {
        }
    }
}
