/*
 * IStateMachine.cs
 *
 * File Statistics
 * Version: 1.0
 *
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 *
 * Authors: WishingBone, TCSDEVELOPER
 */

using System;

namespace TopCoder.File.Statistics.Processor.LineCounter
{
    /// <summary>
    /// Defines the state machine contract.
    /// </summary>
    internal interface IStateMachine
    {
        /// <summary>
        /// Gets the code line count so far.
        /// </summary>
        ///
        /// <value>
        /// A long representing the code line count so far.
        /// </value>
        long Lines
        {
            get;
        }

        /// <summary>
        /// Processes a line.
        /// </summary>
        ///
        /// <param name="line">
        /// The line to process (don't include the new line character).
        /// </param>
        ///
        /// <exception cref="ArgumentNullException">
        /// <paramref name="line"/> is a null reference.
        /// </exception>
        void Process(string line);
    }
}
