///
/// $(#)FileCategoryMatcherTests.cs		Sep 6, 2005
/// 
/// Copyright (c) 2005, TopCoder Inc. All rights reserved.
/// </summary>

using System;
using System.IO;
using NUnit.Framework;

using TopCoder.File.Statistics.Matcher;

namespace TopCoder.File.Statistics.FailureTests.Matcher
{
	/// <summary>
    /// This test fixture contains the failure tests for <see cref="BinaryFileMatcher"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class FileCategoryMatcherTests {

	    /// <summary>
	    /// The the base path of the test files.
	    /// </summary>
	    private const string BASE_PATH = "../../test_files/failuretests/matcher/";
	    
	    /// <summary>
	    /// Tests the isBinary method with null argument. ArgumentNullException should be thrown.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentNullException))]
	    public void TestIsBinary1() {
            FileCategoryMatcher.IsBinary(null);
	    }
	    
	    /// <summary>
	    /// Tests the isBinary method for a file that does not exist. IOException should be thrown.
	    /// </summary>
	    [Test, ExpectedException(typeof(IOException))]
	    public void TestIsBinary2() {
	    	try {
            	FileCategoryMatcher.IsBinary(new FileInfo(BASE_PATH));
	    	} catch (IOException) {
	    		throw new IOException();
	    	}
	    }	    
	}
}
