/*
 * InvalidFileMatcher.cs
 *
 * File Statistics
 * Version: 1.0
 *
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 *
 * Author: TCSDEVELOPER
 */

using System;
using System.IO;
using TopCoder.File.Statistics.Processor.LineCounter.Tests;

namespace TopCoder.File.Statistics.Processor.Tests
{
    /// <summary>
    /// <see cref="InvalidFileMatcher"/> is a class with two string constructor.
    /// </summary>
    ///
    /// <remarks>
    /// This class is used to by <see cref="TestFileProcessorBase"/>,
    /// <see cref="TestTextLineCounter"/>, and <see cref="TestCStyleLineCounter"/>
    /// to test loading a class which doesn't implement <see cref="IFileMatcher"/>.
    /// See test_files/Processor_Base.xml, property: invalidmatcher2.
    /// </remarks>
    ///
    /// <threadsafety static="true" instance="true"/>
    public class InvalidFileMatcher
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidFileMatcher"/> instance
        /// with the specified namespace and prefix.
        /// </summary>
        ///
        /// <remarks>
        /// This constructor is provided for reflection purpose only.
        /// </remarks>
        ///
        /// <param name="nameSpace">
        /// Not applicable.
        /// </param>
        /// <param name="prefix">
        /// Not applicable.
        /// </param>
        public InvalidFileMatcher(string nameSpace, string prefix)
        {
        }
    }
}
